Package com.tietoenator.trip.jxp.database

# Enum Class TdbDefaultFunction

java.lang.Object
java.lang.Enum<TdbDefaultFunction>
com.tietoenator.trip.jxp.database.TdbDefaultFunction

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbDefaultFunction>`, `Constable`

public enum TdbDefaultFunction extends Enum<TdbDefaultFunction>
An enumeration of the possible function types that can be applied to fields (of the appropriate type) to serve as default values

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CommitDate`
  The default value should be the current date at the time of initial storage
  `CommitTime`
  The default value should be the current time at the time of initial storage
  `CommitTStamp`
  The default value should be the current date and time at the time of initial storage
  `NoFunction`
  The normal state of a field is to have no default function at all
  `Username`
  The default value should be the user's TRIP username

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Return the TRIPxpi protocol name for the current function identifier
  `static TdbDefaultFunction`
  `getTypeof(String name)`
  Retrieve the function ID that matches the provided name
  `static TdbDefaultFunction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbDefaultFunction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NoFunction

    public static final TdbDefaultFunction NoFunction
    The normal state of a field is to have no default function at all

  - ### Username

    public static final TdbDefaultFunction Username
    The default value should be the user's TRIP username

  - ### CommitDate

    public static final TdbDefaultFunction CommitDate
    The default value should be the current date at the time of initial storage

  - ### CommitTime

    public static final TdbDefaultFunction CommitTime
    The default value should be the current time at the time of initial storage

  - ### CommitTStamp

    public static final TdbDefaultFunction CommitTStamp
    The default value should be the current date and time at the time of initial storage

- ## Method Details

  - ### values

    public static TdbDefaultFunction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbDefaultFunction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getTypeof

    public static TdbDefaultFunction getTypeof(String name)
    Retrieve the function ID that matches the provided name
    Parameters:
      `name` - The name to match
    Returns:
      The function ID

  - ### getName

    public String getName()
    Return the TRIPxpi protocol name for the current function identifier
    Returns:
      The name